Join Event Waitlist
curl --request POST \
--url https://api.marzipan.co/v1/events/{product}/waitlist \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "alex@example.com",
"name": "Alex Rivera",
"phone": "+44 7700 900123",
"quantity": 2
}
'import requests
url = "https://api.marzipan.co/v1/events/{product}/waitlist"
payload = {
"email": "alex@example.com",
"name": "Alex Rivera",
"phone": "+44 7700 900123",
"quantity": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'alex@example.com',
name: 'Alex Rivera',
phone: '+44 7700 900123',
quantity: 2
})
};
fetch('https://api.marzipan.co/v1/events/{product}/waitlist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"position": 4,
"message": "Added to waitlist at position 4"
}{
"message": "No query results for model [Product]."
}{
"message": "The email field is required.",
"errors": {
"email": [
"The email field is required."
]
}
}Events
Join Event Waitlist
Join the waitlist for a sold-out event. Requires the event to have its waitlist enabled and to be sold out, and the customer must not already be on the waitlist. Returns the assigned waitlist position.
POST
/
events
/
{product}
/
waitlist
Join Event Waitlist
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your API token.
Path Parameters
The unique identifier of the event product.
Body
application/json
⌘I

